UserDataDocumentFactory (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.util
Class UserDataDocumentFactory

    java.lang.Object
      org.dom4j.DocumentFactory
          org.dom4j.util.UserDataDocumentFactory

All Implemented Interfaces:
  Serializable

public class UserDataDocumentFactory
extends DocumentFactory

`UserDataDocumentFactory` is a factory of XML objects which support the adornment of a user data object on an Element or Attribute instance such that the methods `getData()` and `setData()` will get and set the values of a user data object. This can be useful for developers wishing to create XML trees and adorn the trees with user defined objects.

Version:
  $Revision: 1.11 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary
`protected static UserDataDocumentFactory` | `singleton` The Singleton instance

Fields inherited from class org.dom4j.DocumentFactory
`cache`

Constructor Summary
`UserDataDocumentFactory()`

Method Summary
`Attribute` | `createAttribute(Element owner, QName qname, String value)`
`Element` | `createElement(QName qname)`
`static DocumentFactory` | `getInstance()` Access to the singleton instance of this factory.

Methods inherited from class org.dom4j.DocumentFactory
`createAttribute, createCDATA, createComment, createDocType, createDocument, createDocument, createDocument, createElement, createElement, createEntity, createNamespace, createPattern, createProcessingInstruction, createProcessingInstruction, createQName, createQName, createQName, createQName, createQNameCache, createSingleton, createText, createXPath, createXPath, createXPathFilter, createXPathFilter, getQNames, getXPathNamespaceURIs, init, intern, setXPathNamespaceURIs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    protected static transient UserDataDocumentFactory singleton

  The Singleton instance

Constructor Detail

### UserDataDocumentFactory

    public UserDataDocumentFactory()

Method Detail

### getInstance

    public static DocumentFactory getInstance()

  Access to the singleton instance of this factory.

  Returns:
    the default singleon instance

### createElement

    public Element createElement(QName qname)

  Overrides:
    `createElement` in class `DocumentFactory`

### createAttribute

    public Attribute createAttribute(Element owner,
                                     QName qname,
                                     String value)

  Overrides:
    `createAttribute` in class `DocumentFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.